<?php
  $img = imagecreatetruecolor(400, 200);
  $bialy = imagecolorallocate($img, 255, 255, 255);
  $czerwony = imagecolorallocate($img, 255, 0, 0);
  $niebieski = imagecolorallocate($img, 0, 0, 255);

  imagefill($img, 0, 0, $bialy);

  imagearc($img, 110, 100, 80, 80, 0, 90, $czerwony);
  imagearc($img, 90, 100, 80, 80, 90, 180, $czerwony);
  imagearc($img, 90, 90, 80, 80, 180, 270, $czerwony);
  imagearc($img, 110, 90, 80, 80, 270, 360, $czerwony);

  imagefilledarc($img, 310, 100, 80, 80, 0, 90, $niebieski, IMG_ARC_PIE);
  imagefilledarc($img, 290, 100, 80, 80, 90, 180, $niebieski, IMG_ARC_CHORD);
  imagefilledarc($img, 290, 90, 80, 80, 180, 270, $niebieski, IMG_ARC_NOFILL);
  imagefilledarc($img, 310, 90, 80, 80, 270, 360, $niebieski, IMG_ARC_NOFILL | IMG_ARC_EDGED);

  imagejpeg($img, "obraz1.jpg");
  imagedestroy($img);
?>